+ Post New Thread
Page 1 of 466 1 2 3 11 51 101 ... LastLast
Threads 1 to 25 of 11644

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 24,830
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 41,627
    18th Sep 2006 10:46 pm Go to last post
  1. Spline change to circle

    (DEFUN C:SPL2CIR () (SETVAR "CMDECHO" 0) (SETQ OLDOS (GETVAR"OSMODE")) (SETVAR "OSMODE" 0) (IF (SETQ SS (SSGET '((0 . "SPLINE") (73 . 16)))) (PROGN (COMMAND ".UNDO" "BE") (SETQ I -1) ...

    Started by highflybird‎, Yesterday 12:13 pm
    • Replies: 6
    • Views: 136
    Today 01:44 pm Go to last post
  2. Question Need a Lisp to Zoom fit model space rectangle on layout View.

    Hello everyone, Is there anyone that can provide or create a simple Lisp that can Zoom fit rectangle without selecting its upper left corner and lower right corner, on layout tab where same size...

    Started by Saqib_theleo‎, 13th Apr 2014 06:52 am
    2 Pages
    1 2
    • Replies: 13
    • Views: 296
    Today 01:08 pm Go to last post
  3. TAN function

    How do I work out TAN for trigonometry in lisp? There is a cos and sin function but no tan. Thanks

    Started by Andrew1979‎, Today 12:34 pm
    • Replies: 2
    • Views: 35
    Today 01:06 pm Go to last post
  4. Updating Block Attributes from an Excel Database

    Hello Community After many hours looking for a solution to my 'problem' I have been forced to sign up to a website in which there are far more skilled people than I in their programming skills. My...

    Started by Newby Bern‎, 15th Apr 2014 10:35 am
    4 Pages
    1 2 3 ... 4
    • Replies: 33
    • Views: 458
    Today 01:05 pm Go to last post
  5. StripMtext Version 5.0c error

    I am trying to use StripMtext AutoLISP program to clean up some drawings. I have it copied into the support folder and am able to load it. However when I load it in, I get the following message: ...

    Started by pipercvfd‎, Today 12:51 pm
    • Replies: 0
    • Views: 23
    Today 12:51 pm Go to last post
  6. Problem in IF function

    Hi all,can anyone clarify what's the problem in this code and how can I fix it. (setq lnam (getstring"\nEnter lay name:")) (if ( = lnam t) (setvar "clayer" lnam)) (if ( = lnam nil) ...

    Started by mostafa badran‎, Yesterday 11:17 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 141
    Today 12:45 pm Go to last post
  7. list box slide

    Hi , i want to make a list box slide (with lisp) like the attach photo. Can any show me an example how to do it ?

    Started by prodromosm‎, Today 08:13 am
    • Replies: 5
    • Views: 54
    Today 12:00 pm Go to last post
  8. Add block to polyline

    Hi all, Can I add block to the polyline as attachment via lisp ? I want to select all polyline then insert one block at selected polyline . Thank for help.

    Started by mostafa badran‎, Today 11:27 am
    • Replies: 0
    • Views: 32
    Today 11:27 am Go to last post
  9. Eliminate sub-lists from a list

    Hi everyone, I have a list containing sub-lists. I want to eliminate sub-lists as in the Test function. How to eliminate the opening and enclosing brackets together with the 'nil' form result I get....

    Started by aloy‎, Today 08:23 am
    • Replies: 4
    • Views: 59
    Today 10:48 am Go to last post
  10. Looking for a LISP - area and perimeter

    Hello Everyone, I'm new on forum. I search for a very simple LISP which inserts (on centre in object or bottom, no matter) text with AREA and PERIMETER from RECTANGULAR or closed LINES. e.g....

    Started by simbamat‎, Yesterday 12:18 pm
    area, lisp, perimeter, text
    • Replies: 3
    • Views: 137
    Today 09:38 am Go to last post
  11. 3dpolyline routine

    i'm looking for lips routine for 3dpolyline dimension. I hope someone will help me.

    Started by jdbond‎, Today 07:22 am
    sorry for bad english.
    • Replies: 1
    • Views: 49
    Today 07:47 am Go to last post
  12. Compute Volume

    Hello everyone! I am hoping to get some help in solving a volume problem. I have a polyline representing the bottom of a dirt pile. I know the volume that I am trying to achieve. I know the...

    Started by Hippe013‎, Yesterday 10:29 pm
    • Replies: 4
    • Views: 97
    Today 04:56 am Go to last post
  13. Button macro to setup paperspace

    Our template for AutoCAD has several page setups for various different sizes. I was looking into making button macros that would automate this. So basically there would be a button, say for...

    Started by Grigs‎, Yesterday 09:42 pm
    • Replies: 4
    • Views: 94
    Today 12:59 am Go to last post
  14. Question Extents or Printable Area Screwed Up??

    I don't know if this requires a lisp or a script solution.. I regularly work on multi-tabbed drawings. I often encounter situations where on a tab, the extents are much smaller than the title...

    Started by ILoveMadoka‎, Yesterday 04:39 pm
    • Replies: 6
    • Views: 130
    Yesterday 06:59 pm Go to last post
  15. Need help with "IF" function on Clouding lisp

    Hi. This is my clouding lisp. It's working good so far but with one minor issue. The only issue is that when I miss the selection, it says "No objects selected" per what I have set. But then it...

    Started by shailujp‎, 4th Apr 2014 10:02 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 417
    Yesterday 03:46 pm Go to last post
  16. projection views draw

    Hi I had drawn projection views by manual methods. I have lot of isometric drawings; from that dwgs I need to draw 1st angle and 3rd angle views. Anybody knows how I can I rotate the isometric...

    Started by cadamrao‎, Yesterday 12:13 pm
    • Replies: 0
    • Views: 78
    Yesterday 12:13 pm Go to last post
  17. Leveling the Cross Section

    Hi all, I have 300 cross section. I have to put the Existing Level and Post Level Therein. I'm attaching the image of it.. The formula to put the Levels are : ---- (Dimension +or-...

    Started by souvik‎, Yesterday 11:48 am
    • Replies: 0
    • Views: 66
    Yesterday 11:48 am Go to last post
  18. Embarrassed Specify Path of Linetype

    Hi, i want load my linetypes from topo.lin file. Here is my code. (DEFUN C:fen (/ A1 KLIM PER S1 S2 SCL) (COMMAND "_layer" "_m" "fen" "_c" "140" "" "_LT" "" "C:\\topocad\\topo.lin\\fen"...

    Started by prodromosm‎, 14th Apr 2014 10:30 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 181
    Yesterday 10:39 am Go to last post
  19. ssGet function

    Hello! If you want to select a particular type of object on a specified position, ssGet function fails when multiple objects are overlapped in that place. (setq ss (ssGet '(0 0) '((0 ....

    Started by Costinbos77‎, Yesterday 06:54 am
    • Replies: 7
    • Views: 116
    Yesterday 09:33 am Go to last post
  20. Dimension along a curvy polyline

    Hi Is there and routines that would put a dimension along a curvy line? I dont need the actual dimension on, just the lines following the curve with the arrows and the perp lines coming out at...

    Started by bigmaz‎, 17th May 2012 11:58 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,291
    Yesterday 08:41 am Go to last post
  21. Question Auto dimesioning polyline

    Hello all. I am looking (for quite a while now) for a way to automatically dimension (aligned dimensioning) a polyline. Unfotunately i can not find any way or any LISP tool to do this for me. Is...

    Started by VaKaDi‎, 30th Sep 2008 08:44 pm
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 22,764
    Yesterday 08:08 am Go to last post
  22. Question Move objects radially from(to) center

    Hi all I have many assemblies modeled, with the drawings done. Now, I got a revision which requires me to change the tube diameter, but I have to "move radially" the reinforcement plates as well....

    Started by p0peye‎, 15th Apr 2014 01:09 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 284
    Yesterday 07:33 am Go to last post
  23. Rotation in vertical plan [geometric formula]

    Since the analytical geometry is my weak spot (one of...) I would appreciate if someone may help me with the formula to rotate a point (P2) around another one (P1) in the vertical plan defined by...

    Started by MSasu‎, 9th Apr 2014 01:05 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 444
    15th Apr 2014 03:51 pm Go to last post
  24. Select items and create wiring

    :unsure: hi all. I don't know is this possible or not. I want lisp to make wiring like attachment when I Select some items make wire.

    Started by mostafa badran‎, 23rd Feb 2014 01:58 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 637
    15th Apr 2014 02:20 pm Go to last post
  25. Help me modify this lisp code, Thanks!

    Problem solved, thank concerns.

    Started by liuhaixin88‎, 15th Apr 2014 09:50 am
    • Replies: 0
    • Views: 103
    15th Apr 2014 09:50 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts